from typing import Union

from zope.interface import Interface


class IUWLDAPService(Interface):
    """Represents the UW LDAP database."""

    def get(username: str):
        """
        Return the LDAP record for the given user, or
        None if no such record exists.

        :rtype: Union[UWLDAPRecord, None]
        """
